Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class PKIMessageBody.Type

`java.lang.Object
oracle.security.crypto.cmp.PKIMessageBody.Type`

Enclosing class:
  PKIMessageBody

public static class PKIMessageBody.Type
extends java.lang.Object

Type of PKIMessageBody. The value of each instance is its tag in the PKIBody ASN.1 CHOICE.

Field Summary
`static PKIMessageBody.Type` | `CA_KEY_UPDATE_ANNOUNCEMENT`
`static PKIMessageBody.Type` | `CERTIFICATE_ANNOUNCEMENT`
`static PKIMessageBody.Type` | `CERTIFICATE_CONFIRM`
`static PKIMessageBody.Type` | `CERTIFICATION_REQUEST`
`static PKIMessageBody.Type` | `CERTIFICATION_RESPONSE`
`static PKIMessageBody.Type` | `CONFIRMATION`
`static PKIMessageBody.Type` | `CRL_ANNOUNCEMENT`
`static PKIMessageBody.Type` | `CROSS_CERT_REQUEST`
`static PKIMessageBody.Type` | `CROSS_CERT_RESPONSE`
`static PKIMessageBody.Type` | `ERROR_MESSAGE`
`static PKIMessageBody.Type` | `GENERAL_MESSAGE`
`static PKIMessageBody.Type` | `GENERAL_RESPONSE`
`static PKIMessageBody.Type` | `INITIALIZATION_REQUEST`
`static PKIMessageBody.Type` | `INITIALIZATION_RESPONSE`
`static PKIMessageBody.Type` | `KEY_RECOVERY_REQUEST`
`static PKIMessageBody.Type` | `KEY_RECOVERY_RESPONSE`
`static PKIMessageBody.Type` | `KEY_UPDATE_REQUEST`
`static PKIMessageBody.Type` | `KEY_UPDATE_RESPONSE`
`static PKIMessageBody.Type` | `NESTED_MESSAGE`
`static PKIMessageBody.Type` | `PKCS10_CERT_REQUEST`
`static PKIMessageBody.Type` | `POP_CHALLENGE`
`static PKIMessageBody.Type` | `POP_RESPONSE`
`static PKIMessageBody.Type` | `REVOCATION_ANNOUNCEMENT`
`static PKIMessageBody.Type` | `REVOCATION_REQUEST`
`static PKIMessageBody.Type` | `REVOCATION_RESPONSE`

Method Summary
`int` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INITIALIZATION_REQUEST

    public static final PKIMessageBody.Type INITIALIZATION_REQUEST

### INITIALIZATION_RESPONSE

    public static final PKIMessageBody.Type INITIALIZATION_RESPONSE

### CERTIFICATION_REQUEST

    public static final PKIMessageBody.Type CERTIFICATION_REQUEST

### CERTIFICATION_RESPONSE

    public static final PKIMessageBody.Type CERTIFICATION_RESPONSE

### PKCS10_CERT_REQUEST

    public static final PKIMessageBody.Type PKCS10_CERT_REQUEST

### POP_CHALLENGE

    public static final PKIMessageBody.Type POP_CHALLENGE

### POP_RESPONSE

    public static final PKIMessageBody.Type POP_RESPONSE

### KEY_UPDATE_REQUEST

    public static final PKIMessageBody.Type KEY_UPDATE_REQUEST

### KEY_UPDATE_RESPONSE

    public static final PKIMessageBody.Type KEY_UPDATE_RESPONSE

### KEY_RECOVERY_REQUEST

    public static final PKIMessageBody.Type KEY_RECOVERY_REQUEST

### KEY_RECOVERY_RESPONSE

    public static final PKIMessageBody.Type KEY_RECOVERY_RESPONSE

### REVOCATION_REQUEST

    public static final PKIMessageBody.Type REVOCATION_REQUEST

### REVOCATION_RESPONSE

    public static final PKIMessageBody.Type REVOCATION_RESPONSE

### CROSS_CERT_REQUEST

    public static final PKIMessageBody.Type CROSS_CERT_REQUEST

### CROSS_CERT_RESPONSE

    public static final PKIMessageBody.Type CROSS_CERT_RESPONSE

### CA_KEY_UPDATE_ANNOUNCEMENT

    public static final PKIMessageBody.Type CA_KEY_UPDATE_ANNOUNCEMENT

### CERTIFICATE_ANNOUNCEMENT

    public static final PKIMessageBody.Type CERTIFICATE_ANNOUNCEMENT

### REVOCATION_ANNOUNCEMENT

    public static final PKIMessageBody.Type REVOCATION_ANNOUNCEMENT

### CRL_ANNOUNCEMENT

    public static final PKIMessageBody.Type CRL_ANNOUNCEMENT

### CONFIRMATION

    public static final PKIMessageBody.Type CONFIRMATION

### NESTED_MESSAGE

    public static final PKIMessageBody.Type NESTED_MESSAGE

### GENERAL_MESSAGE

    public static final PKIMessageBody.Type GENERAL_MESSAGE

### GENERAL_RESPONSE

    public static final PKIMessageBody.Type GENERAL_RESPONSE

### ERROR_MESSAGE

    public static final PKIMessageBody.Type ERROR_MESSAGE

### CERTIFICATE_CONFIRM

    public static final PKIMessageBody.Type CERTIFICATE_CONFIRM

Method Detail

### getValue

    public int getValue()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.